5 Replies Latest reply on May 16, 2019 10:03 PM by LucD

    powercli and  powershell 6

    Squigglymonkey Novice

      Are these compatible on Windows server 2016?

        • 1. Re: powercli and  powershell 6
          LucD Guru
          vExpertUser ModeratorsCommunity Warriors

          Not officially according to the compatibility matrix for PowerCLI 11.2 (it lists PS 6.1.2).

           

          But in practice I don't seem to have any issue with PS 6.2 on Win2K16.
          What issues do you see?

          • 2. Re: powercli and  powershell 6
            Squigglymonkey Novice

            I had a fresh install of server 2016, and I installed powershell 6 on it.

            I know we have some issues with our networking and connecting to powershellgallery.com, which I figured out after trying get-psrepository and getting 'no repository found' errors. I worked through many of the "fixes" I found online none worked.

            I manually downloaded powercli 11.2 from  vmware and tried a manual install, and got some cryptic error, then I did the install with -verbose and one of the errors was a compatibility error.

            I removed powershell 6, and then used a different system on a different network to save-module from powershellgallery and that one did install with the powershell 5.1.

            • 3. Re: powercli and  powershell 6
              LucD Guru
              Community WarriorsvExpertUser Moderators

              Did you use the ZIP file?

              Which version of PS v6?
              What did the compatibility error say exactly?

               

              Btw, you can have PS 5.1 and PS 6 side-by-side on a Windows platform.

              • 4. Re: powercli and  powershell 6
                Squigglymonkey Novice

                This error is also occurring with ps 5.1

                 

                Yes, the zip file from VMware PowerCLI - VMware {code}

                 

                PS v 6.2.0

                 

                Import-Module : Could not load file or assembly

                'file:///C:\Windows\system32\WindowsPowerShell\v1.0\Modules\VMware.VimAutomation.Sdk\net45\log4net.dll' or one of its

                dependencies. Operation is not supported. (Exception from HRESULT: 0x80131515)

                At line:1 char:1

                + Import-Module VMware.PowerCLI

                + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

                    + CategoryInfo          : InvalidOperation: (:) [Import-Module], FileLoadException

                    + FullyQualifiedErrorId : FormatXmlUpdateException,Microsoft.PowerShell.Commands.ImportModuleCommand

                • 5. Re: powercli and  powershell 6
                  LucD Guru
                  vExpertCommunity WarriorsUser Moderators

                  That is a known issue I'm afraid.

                  Can you try the procedure documented in VMware PowerCLI 10 Setup